Operations

Get Client Withdrawals

GET
/operations/client-withdrawals

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Default20
offset?integer
Default0
filter[clientExternalId]?integer
filter[clientName]?string
filter[clientEmail]?string
filter[profileId]?string
filter[userId]?string
filter[operationId]?integer
filter[currencyCode]?string
filter[startTime]?string
Formatdate-time
filter[endTime]?string
Formatdate-time
filter[userTags]?string
sort_by?string

Value in

  • "createTime"
  • "amount"
sort_order?string

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/operations/client-withdrawals"
{  "total": 0,  "withdrawals": [    {      "withdrawalId": "177dc452-dcc4-4afc-8eab-bd9d08c2ae7a",      "clientExternalId": 0,      "profileId": "string",      "clientName": "string",      "clientEmail": "string",      "operationId": 0,      "amount": "string",      "amountInUsd": "string",      "currencyCode": "string",      "createTime": "2019-08-24T14:15:22Z"    }  ]}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}